import { SimpleLocalIntegration } from '../../core/index.js';
import { NetgearConfigFlow } from './netgear.classes.configflow.js';
import { createNetgearDiscoveryDescriptor } from './netgear.discovery.js';
import type { INetgearConfig } from './netgear.types.js';
import { netgearDomain, netgearProfile } from './netgear.types.js';

export class NetgearIntegration extends SimpleLocalIntegration<INetgearConfig> {
  public readonly domain = netgearDomain;
  public readonly discoveryDescriptor = createNetgearDiscoveryDescriptor();
  public readonly configFlow = new NetgearConfigFlow();

  constructor() {
    super(netgearProfile);
  }
}

export class HomeAssistantNetgearIntegration extends NetgearIntegration {}
